$(document).ready(function() {

    // search in admin panel topbar
    $("#srch_text_admin").on("keyup", function () {
        var value = $(this).val().toLowerCase();
        $("#search_admin a").filter(function () {
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
    });

    // alert on confirm delete
    $("a.delete").click(function(e){
        if (!confirm('Are you sure?')) {
            e.preventDefault();
            return false;
        }
        return true;
    });

    // on sidebar toggle, toggle icon & overlay
    $("#sidebarToggleTop").click(function(){
        $('.overlay').addClass('active');
        if ( $("#sidebarToggleTop i").hasClass("fa-bars") ) {
            $("#sidebarToggleTop i").removeClass("fa-bars");
            $("#sidebarToggleTop i").addClass("fa-times");
            $('.overlay').addClass('active');
        } else {
            $("#sidebarToggleTop i").removeClass("fa-times");
            $("#sidebarToggleTop i").addClass("fa-bars");
            $('.overlay').removeClass('active');
        }
    });

    // onclick overlay, toggle sidebar
    $('.overlay').click(function () {
        $("#sidebarToggleTop i").removeClass("fa-times");
        $("#sidebarToggleTop i").addClass("fa-bars");
        $('.overlay').removeClass('active');
        $('.sidebar').addClass('toggled');
    });

    // onclick bottom sidebar toggler, toggle sidebar
    $('#sidebarToggle').click(function () {
        $("#sidebarToggleTop i").removeClass("fa-times");
        $("#sidebarToggleTop i").addClass("fa-bars");
        $('.overlay').removeClass('active');
        $('.sidebar').addClass('toggled');
    });

    // onclick overlay, toggle sidebar
    $('.overlay').click(function () {
        $("#sidebarToggleTop i").removeClass("fa-times");
        $("#sidebarToggleTop i").addClass("fa-bars");
        $('.overlay').removeClass('active');
        $('.sidebar').addClass('toggled');
    });

    // sticky topbar toggle
    $('#stickySwitch').change(function(){
        $('.topbar').toggleClass('fixed-top');
        $('body').toggleClass('mt-55');
    });

    // random password generator at new seller page
    $("#randPassGen").click(function(){
        let simplePass = Math.random().toString(36).substring(7);
        $("#inputPassLogin").val(simplePass);
    });

    // brand.php feature modal, users-seller.php ban/unban seller
    $('.featureNow').click(function(){
        var featureId = $(this).data('id');
        $('.featureHidden').attr('value', featureId);
    });

    // Select all elements with data-toggle="tooltips" in the document
    $('[data-toggle="tooltip"]').tooltip();

    // ************ not sure about this ************
    var fileName = $(".fileName").html();
    // console.log(fileName);
    $(".setHtml").text(fileName);
    // ************ not sure about this ************

});


// (function($) {
//     "use strict"; // Start of use strict

//     $(document).ready(function(){
//         // sidebar icon change at toggle
//         $("#sidebarToggleTop i").click(function(){
//             if ( $(this).hasClass("fa-chevron-left") ) {
//                 $("#sidebarToggleTop i").removeClass("fa-chevron-left");
//                 $("#sidebarToggleTop i").addClass("fa-chevron-right");
//             } else {
//                 $("#sidebarToggleTop i").removeClass("fa-chevron-right");
//                 $("#sidebarToggleTop i").addClass("fa-chevron-left");
//             }
//         });

//         // random password generator at new seller page
//         $("#randPassGen").click(function(){
//             let simplePass = Math.random().toString(36).substring(7);
//             $("#inputPassLogin").val(simplePass);
//         });

//         // $(window).resize(function () {
//         //     if ($(window).width() < 576) {
//         //         $("body").addClass("sidebar-toggled");
//         //         $(".sidebar").addClass("toggled");
//         //     };
//         // });
//     });

//     $(document).ready(function () {
//         // $('#dataTable').DataTable();

//         $('.image_modal').click(function(){
//             var imageSrc = $(this).attr('src');
//             $('#img-view').attr('src', imageSrc);
//         });

//         // brand.php feature modal
//         $('.featureNow').click(function(){
//             var featureId = $(this).data('id');
//             $('.featureHidden').attr('value', featureId);
//         });

//         $("a.delete").click(function(e){
//             if (!confirm('Are you sure?')) {
//                 e.preventDefault();
//                 return false;
//             }
//             return true;
//         });

//         $("a.delete-all-tab").click(function(e){
//             if (!confirm('Have you backed up DATABASE?')) {
//                 e.preventDefault();
//                 return false;
//             }
//             return true;
//         });



//         var fileName = $(".fileName").html();
//         // console.log(fileName);
//         $(".setHtml").text(fileName);
//     });

// })(jQuery); // End of use strict